Včera, po mnoha odkladech, byla oficiálně uvolněna nová verze redakčního systému WordPress. WordPress 5.0 je nejočekávanějším vydáním posledních let, především protože přináší zcela nový způsob vytváření a editování obsahu. Přináší totiž nový výchozí editor – Gutenberg, který je podobný již existujícím vizuálním editorům.

Zásadní otázkou pro většinu uživatelů i profesionálů je nyní to, zda aktualizovat či počkat. Vývojáři přidělali tímto předvánočním vydáním vrásky mnoha lidem. Vrcholí nákupy dárků a rozbité stránky rozhodně nikdo mít nechce. Podívejme se proto na to, co je potřeba brát v úvahu.

Problémy s kompatibilitou pluginů a šablon

Málokdo dnes používá jen WordPress s výchozí šablonou a bez nainstalovaných pluginů. Rozsáhlý ekosystém dělá s tohoto redakčního systému téměř univerzální nástroj, což pochopitelně přináší i řadu problémů.

U tak zásadní aktualizace jádra jako právě proběhla s příchodem WordPress 5.0 je potřeba myslet na kompatibilitu. To u jedné šablony od profesionálních vývojářů nemusí být žádný problém, ale u 20 nainstalovaných pluginů už to je náročnější.

Sledujete-li vývojáře, především zavedených premium pluginů/šablon, pak jste v posledních měsících nejspíše viděli, že své produkty aktualizují a deklarují kompatibilitu s WP 5.0 či konkrétně Gutenberg editorem.

Stačí však jeden klíčový plugin či zastaralá šablona a neuvážlivou aktualizací můžete mít rozpadlé stránky, které budete muset opravovat či obnovit ze zálohy.

Vývojáři doporučují počkat

Vývojáři nejznámějších a nejpopulárnějších pluginů/šablon samozřejmě ve většině případů deklarovali, že jsou připraveni a žádné problémy při aktualizaci na novou verzi WordPressu nenastanou. To je pochopitelně důležité zejména tam, kde se manipuluje s obsahem.

Přesto však většina varovala před aktualizací ihned po vydání. Doporučení jsou jasná – zkontrolovat kompatibilitu a počkat. Někteří (např. vývojáři překladatelského pluginu WPML) hovoří o tom, že „Gutenberg zatím není dostatečně stabilní“.

Pravdou je, že odsouvání termínu vydání nové verze rozhodně nikomu na jistotě nepřidalo. I proto je možná dobré pár týdnů počkat, aby se vyřešily nejzásadnější problémy.

WordPress 4.9.8 je stále bezpečný

Je potřeba zmínit, že není důvod k panice. Vyčkávání na starším vydání WordPressu nepřináší zásadní bezpečnostní problémy. Skutečnost je taková, že všechny vydání WordPressu s automatickou aktualizací dostávají opravné verze.

Nechcete-li aktuálně zkoušet nové funkce, kam řadíme zejména Gutenberg, tak je zcela v pořádku mít prozatím starší verzi. Česká verze WordPress 5.0 zatím navíc ani není nabízena. Nezapomínejte, že zabezpečení WP však není pouze o aktualizacích jádra!

Jak aktualizovat bez problémů

Chcete přeci jen aktualizovat? Vždy je dobré mít správně nastavený proces tak, aby se minimalizovalo riziko problémů. Zkontrolovat byste měli toto:

  1. Kompatibilita pluginů/šablony – Zkontrolujte changelogy, novinky od vývojářů, ať víte zda je daný produkt připraven na verzi 5.0.
  2. Záloha webu a databáze – Ujistěte se, že máte pravidelné zálohy jak souborů, tak i databáze. Před aktualizací proveďte zálohu.

Důležitá je zejména možnost snadno a rychle obnovit webové stránky ze zálohy. Aktualizaci pak můžete vyzkoušet v době, kdy je na stránkách nejméně návštěvníků (obvykle noční hodiny) a v případě problémů vrátit vše do předchozí stavu, bez toho aby někdo problémy viděl.